Bug 250947 - textproc/py-sphinx: Update to 3.3.0
Summary: textproc/py-sphinx: Update to 3.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Danilo G. Baio
URL: https://github.com/sphinx-doc/sphinx/...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-08 12:13 UTC by Danilo G. Baio
Modified: 2020-11-15 12:19 UTC (History)
1 user (show)

See Also:
dbaio: maintainer-feedback+
antoine: exp-run+


Attachments
py-sphinx-3.3.0.patch (932 bytes, patch)
2020-11-08 12:14 UTC, Danilo G. Baio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2020-11-08 12:13:36 UTC
Changelog:  https://github.com/sphinx-doc/sphinx/blob/v3.3.0/CHANGES

`Make test` with similar results as previous versions:

1 failed, 1531 passed, 36 skipped, 7 warnings in 122.08 seconds

From older updates:
1 failed, 1517 passed, 32 skipped in 117.79 second
1 failed, 1434 passed, 29 skipped, 37 warnings in 104.73 seconds
1 failed, 1432 passed, 29 skipped, 37 warnings in 97.99 seconds
1 failed, 1434 passed, 29 skipped, 37 warnings in 110.46 seconds
Comment 1 Danilo G. Baio freebsd_committer 2020-11-08 12:14:43 UTC
Created attachment 219452 [details]
py-sphinx-3.3.0.patch
Comment 2 Antoine Brodin freebsd_committer 2020-11-13 08:48:45 UTC
Exp-run looks fine
Comment 3 commit-hook freebsd_committer 2020-11-15 12:18:28 UTC
A commit references this bug:

Author: dbaio
Date: Sun Nov 15 12:17:56 UTC 2020
New revision: 555199
URL: https://svnweb.freebsd.org/changeset/ports/555199

Log:
  textproc/py-sphinx: Update to 3.3.0

  Changelog:	https://github.com/sphinx-doc/sphinx/blob/v3.3.0/CHANGES

  PR:		250947
  Approved by:	python (with hat)
  Exp-run by:	antoine

Changes:
  head/textproc/py-sphinx/Makefile
  head/textproc/py-sphinx/distinfo
Comment 4 Danilo G. Baio freebsd_committer 2020-11-15 12:19:05 UTC
Thanks antoine